- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
LpBase::ColIt Class Reference

## Detailed Description

Its usage is quite simple, for example, you can count the number of columns in an LP `lp:`

* int count=0;
* for (LpBase::ColIt c(lp); c!=INVALID; ++c) ++count;
*

`#include <lemon/lp_base.h>`

Inheritance diagram for LpBase::ColIt:
[legend]

## Public Member Functions
| ColIt ()
| Default constructor. More...
| ColIt (const LpBase &solver)
| Sets the iterator to the first Col. More...
| ColIt (const Invalid &)
| Invalid constructor & conversion. More...
ColIt & | operator++ ()
| Next column. More...
Public Member Functions inherited from LpBase::Col
| Col ()
| Default constructor. More...
| Col (const Invalid &)
| Invalid constructor & conversion. More...
bool | operator== (Col c) const
| Equality operator. More...
bool | operator!= (Col c) const
| Inequality operator. More...
bool | operator< (Col c) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

ColIt | ( |  | ) |
| inline

Warning
  The default constructor sets the iterator to an undefined value.

ColIt | ( | const LpBase & | solver | ) |
| inline

Sets the iterator to the first Col.

ColIt | ( | const Invalid & |  | ) |
| inline

Initialize the iterator to be invalid.

See Also
  Invalid for more details.

## Member Function Documentation

ColIt& operator++ | ( |  | ) |
| inline

Assign the iterator to the next column.